# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_FieldOfHArray1OfBSplineCurve Class Reference

`#include <PColPGeom_FieldOfHArray1OfBSplineCurve.hxx>`

Inheritance diagram for PColPGeom_FieldOfHArray1OfBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColPGeom_FieldOfHArray1OfBSplineCurve ()
Standard_EXPORT | PColPGeom_FieldOfHArray1OfBSplineCurve (const Standard_Integer Size)
Standard_EXPORT | PColPGeom_FieldOfHArray1OfBSplineCurve (const PColPGeom_FieldOfHArray1OfBSplineCurve &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColPGeom_FieldOfHArray1OfBSplineCurve &Other)
void | operator= (const PColPGeom_FieldOfHArray1OfBSplineCurve &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_BSplineCurve)&Value)
Standard_EXPORT Handle_PGeom_BSplineCurve & | Value (const Standard_Integer Index) const
Handle_PGeom_BSplineCurve & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColPGeom_FieldOfHArray1OfBSplineCurve ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColPGeom_FieldOfHArray1OfBSplineCurve_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_FieldOfHArray1OfBSplineCurve::PColPGeom_FieldOfHArray1OfBSplineCurve | ( |  | ) |

Standard_EXPORT PColPGeom_FieldOfHArray1OfBSplineCurve::PColPGeom_FieldOfHArray1OfBSplineCurve | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColPGeom_FieldOfHArray1OfBSplineCurve::PColPGeom_FieldOfHArray1OfBSplineCurve | ( | const PColPGeom_FieldOfHArray1OfBSplineCurve & | Varray | ) |

PColPGeom_FieldOfHArray1OfBSplineCurve::~PColPGeom_FieldOfHArray1OfBSplineCurve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColPGeom_FieldOfHArray1OfBSplineCurve::Assign | ( | const PColPGeom_FieldOfHArray1OfBSplineCurve & | Other | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray1OfBSplineCurve::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColPGeom_FieldOfHArray1OfBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray1OfBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray1OfBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PGeom_BSplineCurve& PColPGeom_FieldOfHArray1OfBSplineCurve::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColPGeom_FieldOfHArray1OfBSplineCurve::operator= | ( | const PColPGeom_FieldOfHArray1OfBSplineCurve & | Other | ) | `[inline]`

Standard_EXPORT void PColPGeom_FieldOfHArray1OfBSplineCurve::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray1OfBSplineCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_BSplineCurve)& | Value
| ) |

Standard_EXPORT Handle_PGeom_BSplineCurve& PColPGeom_FieldOfHArray1OfBSplineCurve::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColPGeom_FieldOfHArray1OfBSplineCurve_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColPGeom_FieldOfHArray1OfBSplineCurve.hxx